1. Registry
  2. Packages
  3. BiznetGIO
  4. API Docs
  5. BaremetalKeypair
Viewing docs for Pulumi BiznetGIO Provider v0.1.7
published on Wednesday, Aug 19, 2026 by shirasakaren
biznetgio logo
Viewing docs for Pulumi BiznetGIO Provider v0.1.7
published on Wednesday, Aug 19, 2026 by shirasakaren

    Create BaremetalKeypair Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new BaremetalKeypair(name: string, args: BaremetalKeypairArgs, opts?: CustomResourceOptions);
    @overload
    def BaremetalKeypair(resource_name: str,
                         args: BaremetalKeypairArgs,
                         opts: Optional[ResourceOptions] = None)
    
    @overload
    def BaremetalKeypair(resource_name: str,
                         opts: Optional[ResourceOptions] = None,
                         name: Optional[str] = None,
                         public_key: Optional[str] = None)
    func NewBaremetalKeypair(ctx *Context, name string, args BaremetalKeypairArgs, opts ...ResourceOption) (*BaremetalKeypair, error)
    public BaremetalKeypair(string name, BaremetalKeypairArgs args, CustomResourceOptions? opts = null)
    public BaremetalKeypair(String name, BaremetalKeypairArgs args)
    public BaremetalKeypair(String name, BaremetalKeypairArgs args, CustomResourceOptions options)
    
    type: biznetgio:BaremetalKeypair
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "biznetgio_baremetal_keypair" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args BaremetalKeypairArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args BaremetalKeypairArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args BaremetalKeypairArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args BaremetalKeypairArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args BaremetalKeypairArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var baremetalKeypairResource = new Biznetgio.BaremetalKeypair("baremetalKeypairResource", new()
    {
        Name = "string",
        PublicKey = "string",
    });
    
    example, err := biznetgio.NewBaremetalKeypair(ctx, "baremetalKeypairResource", &biznetgio.BaremetalKeypairArgs{
    	Name:      pulumi.String("string"),
    	PublicKey: pulumi.String("string"),
    })
    
    resource "biznetgio_baremetal_keypair" "baremetalKeypairResource" {
      lifecycle {
        create_before_destroy = true
      }
      name       = "string"
      public_key = "string"
    }
    
    var baremetalKeypairResource = new BaremetalKeypair("baremetalKeypairResource", BaremetalKeypairArgs.builder()
        .name("string")
        .publicKey("string")
        .build());
    
    baremetal_keypair_resource = biznetgio.BaremetalKeypair("baremetalKeypairResource",
        name="string",
        public_key="string")
    
    const baremetalKeypairResource = new biznetgio.BaremetalKeypair("baremetalKeypairResource", {
        name: "string",
        publicKey: "string",
    });
    
    type: biznetgio:BaremetalKeypair
    properties:
        name: string
        publicKey: string
    

    BaremetalKeypair Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The BaremetalKeypair resource accepts the following input properties:

    Name string
    Name of the keypair.
    PublicKey string
    When set, the keypair is imported via POST /baremetals/keypairs/import. When empty, the keypair is generated server-side. Create-only, changing it replaces the keypair.
    Name string
    Name of the keypair.
    PublicKey string
    When set, the keypair is imported via POST /baremetals/keypairs/import. When empty, the keypair is generated server-side. Create-only, changing it replaces the keypair.
    name string
    Name of the keypair.
    public_key string
    When set, the keypair is imported via POST /baremetals/keypairs/import. When empty, the keypair is generated server-side. Create-only, changing it replaces the keypair.
    name String
    Name of the keypair.
    publicKey String
    When set, the keypair is imported via POST /baremetals/keypairs/import. When empty, the keypair is generated server-side. Create-only, changing it replaces the keypair.
    name string
    Name of the keypair.
    publicKey string
    When set, the keypair is imported via POST /baremetals/keypairs/import. When empty, the keypair is generated server-side. Create-only, changing it replaces the keypair.
    name str
    Name of the keypair.
    public_key str
    When set, the keypair is imported via POST /baremetals/keypairs/import. When empty, the keypair is generated server-side. Create-only, changing it replaces the keypair.
    name String
    Name of the keypair.
    publicKey String
    When set, the keypair is imported via POST /baremetals/keypairs/import. When empty, the keypair is generated server-side. Create-only, changing it replaces the keypair.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the BaremetalKeypair resource produces the following output properties:

    Id string
    The provider-assigned unique ID for this managed resource.
    KeypairId int
    Keypair id in BiznetGIO.
    PrivateKey string
    Private key from the creation response, when the API returns one. Only appears once; preserved across refreshes.
    Raw string
    Raw JSON of the keypair item from the list API.
    Id string
    The provider-assigned unique ID for this managed resource.
    KeypairId int
    Keypair id in BiznetGIO.
    PrivateKey string
    Private key from the creation response, when the API returns one. Only appears once; preserved across refreshes.
    Raw string
    Raw JSON of the keypair item from the list API.
    id string
    The provider-assigned unique ID for this managed resource.
    keypair_id number
    Keypair id in BiznetGIO.
    private_key string
    Private key from the creation response, when the API returns one. Only appears once; preserved across refreshes.
    raw string
    Raw JSON of the keypair item from the list API.
    id String
    The provider-assigned unique ID for this managed resource.
    keypairId Integer
    Keypair id in BiznetGIO.
    privateKey String
    Private key from the creation response, when the API returns one. Only appears once; preserved across refreshes.
    raw String
    Raw JSON of the keypair item from the list API.
    id string
    The provider-assigned unique ID for this managed resource.
    keypairId number
    Keypair id in BiznetGIO.
    privateKey string
    Private key from the creation response, when the API returns one. Only appears once; preserved across refreshes.
    raw string
    Raw JSON of the keypair item from the list API.
    id str
    The provider-assigned unique ID for this managed resource.
    keypair_id int
    Keypair id in BiznetGIO.
    private_key str
    Private key from the creation response, when the API returns one. Only appears once; preserved across refreshes.
    raw str
    Raw JSON of the keypair item from the list API.
    id String
    The provider-assigned unique ID for this managed resource.
    keypairId Number
    Keypair id in BiznetGIO.
    privateKey String
    Private key from the creation response, when the API returns one. Only appears once; preserved across refreshes.
    raw String
    Raw JSON of the keypair item from the list API.

    Package Details

    Repository
    biznetgio github.com/shirasakaren/pulumi-biznetgio
    License
    Apache-2.0
    biznetgio logo
    Viewing docs for Pulumi BiznetGIO Provider v0.1.7
    published on Wednesday, Aug 19, 2026 by shirasakaren

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial